# Amuse: amuse::EffectChorus Class Reference

amuse::EffectChorus Class Reference

`#include <EffectChorus.hpp>`

Inheritance diagram for amuse::EffectChorus:
Collaboration diagram for amuse::EffectChorus:

## Public Types

template<typename T >
using | ImpType = EffectChorusImp< T >

## Public Member Functions

void | setBaseDelay (uint32_t baseDelay)
void | setVariation (uint32_t variation)
void | setPeriod (uint32_t period)

## Friends

template<typename T >
class | EffectChorusImp

## Detailed Description

Mixes the audio back into itself after continuously-varying delay

Definition at line 16 of file EffectChorus.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectChorus.hpp